/*
 * CompressedBitParallelIndexConstruction.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "CompressedBitParallelIndexConstruction.h"
#include <registration/AlgoRegistration.hpp>

namespace arbology {

namespace indexing {

auto compressedBitParallelIndexConstructionPrefixRankedTree = registration::AbstractRegister < CompressedBitParallelIndexConstruction, indexes::arbology::CompressedBitParallelTreeIndex < DefaultSymbolType, DefaultRankType >, const tree::PrefixRankedTree < > & > ( CompressedBitParallelIndexConstruction::construct );

auto compressedBitParallelIndexConstructionPrefixRankedBarTree = registration::AbstractRegister < CompressedBitParallelIndexConstruction, indexes::arbology::CompressedBitParallelTreeIndex < DefaultSymbolType, DefaultRankType >, const tree::PrefixRankedBarTree < > & > ( CompressedBitParallelIndexConstruction::construct );

} /* namespace indexing */

} /* namespace arbology */
