/*
 * Minimize.cpp
 *
 *  Created on: Dec 9, 2013
 *	  Author: honza
 */

#include "Minimize.h"
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace simplify {

auto MinimizeNFA = registration::AbstractRegister < Minimize, automaton::DFA < >, const automaton::DFA < > & > ( Minimize::minimize );
auto MinimizeNFTA = registration::AbstractRegister < Minimize, automaton::DFTA < >, const automaton::DFTA < > & > ( Minimize::minimize );

} /* namespace simplify */

} /* namespace automaton */
