/*
 * AutomatonIterationEpsilonTransition.cpp
 *
 *  Created on: 20. 11. 2014
 *	  Author: Tomas Pecka
 */

#include "AutomatonIterationEpsilonTransition.h"
#include <common/createUnique.hpp>
#include <registration/AlgoRegistration.hpp>

namespace automaton {

namespace transform {

auto AutomatonIterationEpsilonTransitionDFA2 = registration::AbstractRegister < AutomatonIterationEpsilonTransition, automaton::EpsilonNFA < >, const automaton::DFA < > & > ( AutomatonIterationEpsilonTransition::iteration );
auto AutomatonIterationEpsilonTransitionNFA2 = registration::AbstractRegister < AutomatonIterationEpsilonTransition, automaton::EpsilonNFA < >, const automaton::NFA < > & > ( AutomatonIterationEpsilonTransition::iteration );
auto AutomatonIterationEpsilonTransitionEpsilonNFA2 = registration::AbstractRegister < AutomatonIterationEpsilonTransition, automaton::EpsilonNFA < >, const automaton::EpsilonNFA < > & > ( AutomatonIterationEpsilonTransition::iteration );

} /* namespace transform */

} /* namespace automaton */
