/*
 * ToPostfixPushdownAutomaton.h
 *
 *  Created on: 11. 4. 2016
 *	  Author: Tomas Pecka
 */

#include "ToPostfixPushdownAutomaton.h"
#include "ToPostfixPushdownAutomatonGlushkovNaive.h"
#include <registration/AlgoRegistration.hpp>

namespace rte {

namespace convert {

automaton::NPDA < > ToPostfixPushdownAutomaton::convert ( const rte::FormalRTE < > & rte ) {
	return ToPostfixPushdownAutomatonGlushkovNaive::convert ( rte );
}

auto ToAutomatonFormalRegExp = registration::AbstractRegister < ToPostfixPushdownAutomaton, automaton::NPDA < >, const rte::FormalRTE < > & > ( ToPostfixPushdownAutomaton::convert );

} /* namespace convert */

} /* namespace rte */
