/*
 * ExactFactorMatch.cpp
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#include "ExactFactorMatch.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace exact {

auto ExactFactorMatchLinearString = registration::AbstractRegister < ExactFactorMatch, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > & > ( ExactFactorMatch::match );

} /* namespace exact */

} /* namespace stringology */
