/*
 * BackboneLength.cpp
 *
 *  Created on: 17. 5. 2017
 *      Author: Jan Travnicek
 */

#include "BackboneLength.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace properties {

auto backboneLengthDFA = registration::AbstractRegister < BackboneLength, unsigned, const automaton::DFA < > & > ( BackboneLength::length );

} /* namespace properties */

} /* namespace stringology */
