/*
 * SubtreeJumpTable.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Jan Travnicek
 */

#include "SubtreeJumpTable.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

namespace properties {

auto SubtreeSizesPrefixRankedBarTree = registration::AbstractRegister < SubtreeJumpTable, ext::vector < int >, const tree::PrefixRankedBarTree < > & > ( SubtreeJumpTable::compute );
auto SubtreeSizesPrefixRankedBarPattern = registration::AbstractRegister < SubtreeJumpTable, ext::vector < int >, const tree::PrefixRankedBarPattern < > & > ( SubtreeJumpTable::compute );
auto SubtreeSizesPrefixRankedTree = registration::AbstractRegister < SubtreeJumpTable, ext::vector < int >, const tree::PrefixRankedTree < > & > ( SubtreeJumpTable::compute );
auto SubtreeSizesPrefixRankedPattern = registration::AbstractRegister < SubtreeJumpTable, ext::vector < int >, const tree::PrefixRankedPattern < > & > ( SubtreeJumpTable::compute );

} /* namespace properties */

} /* namespace tree */
