/*
 * GlobalData.cpp
 *
 *  Created on: 9. 2. 2014
 *	  Author: Jan Travnicek
 */

#include "GlobalData.h"
#include <cstdlib>

#include <iostream>

namespace common {

bool GlobalData::verbose = false;

bool GlobalData::measure = false;

bool GlobalData::optimizeXml = true;

int GlobalData::argc = 0;

char * * GlobalData::argv = NULL;

std::reference_wrapper < std::istream > Streams::in = std::cin;
std::reference_wrapper < std::ostream > Streams::out = std::cout;
std::reference_wrapper < std::ostream > Streams::err = std::cerr;
std::reference_wrapper < std::ostream > Streams::log = std::clog;
std::reference_wrapper < std::ostream > Streams::measure = ext::cmeasure;

} /* common */
