#ifndef _DOWNCAST_REGISTRATION_HPP_
#define _DOWNCAST_REGISTRATION_HPP_

#include <abstraction/DowncastRegistry.hpp>

namespace registration {

template < class Group, class Type >
class DowncastRegister {
public:
	DowncastRegister ( ) {
		abstraction::DowncastRegistry::registerDowncast < Type, typename std::decay < decltype ( std::declval < Group > ( ).getData ( ) ) >::type > ( );
	}
};

} /* namespace registration */

#endif // _DOWNCAST_REGISTRATION_HPP_
