#include "ContainerTest.h"

#include "object/Object.h"
#include "container/ObjectsSet.h"
#include "container/ObjectsDeque.h"

#include <type_traits>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION ( ContainerTest, "container" );
CPPUNIT_TEST_SUITE_REGISTRATION ( ContainerTest );

void ContainerTest::setUp ( ) {
}

void ContainerTest::tearDown ( ) {
}

void ContainerTest::testProperties ( ) {
	CPPUNIT_ASSERT ( std::is_nothrow_move_constructible < container::ObjectsSet < alib::Object > >::value );
}

void ContainerTest::testNormalize ( ) {
	ext::deque < int > dint;
	ext::deque < alib::Object > dnor = alib::normalize < ext::deque < int > >::eval ( std::move ( dint ) );
	ext::deque < alib::Object > dnor2 = alib::normalize < ext::deque < alib::Object > >::eval ( std::move ( dnor ) );

	container::ObjectsDeque < int > Dint;
	container::ObjectsDeque < alib::Object > Dnor = alib::normalize < container::ObjectsDeque < int > >::eval ( std::move ( Dint ) );
	container::ObjectsDeque < alib::Object > Dnor2 = alib::normalize < container::ObjectsDeque < alib::Object > >::eval ( std::move ( Dnor ) );
}
