/*
 * RankedSymbol.cpp
 *
 *  Created on: Apr 10, 2013
 *      Author: Stepan Plachy
 */

#include "RankedSymbol.h"
#include <alphabet/Symbol.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < alphabet::Symbol, alphabet::RankedSymbol < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, alphabet::RankedSymbol < > > ( );

static auto xmlReader = registration::XmlReaderRegister < alphabet::Symbol, alphabet::RankedSymbol < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, alphabet::RankedSymbol < > > ( );

} /* namespace */
