/*
 * NFTA.cpp
 *
 *  Created on: Mar 21, 2015
 *      Author: Stepan Plachy
 */

#include "NFTA.h"
#include "../Automaton.h"
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::NFTA < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::Automaton, automaton::NFTA < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, automaton::NFTA < > > ( );

static auto xmlReader = registration::XmlReaderRegister < automaton::Automaton, automaton::NFTA < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, automaton::NFTA < > > ( );

} /* namespace */
