/*
 * LG.cpp
 *
 *  Created on: Nov 17, 2013
 *      Author: Jan Travnicek
 */

#include "LG.h"
#include "../Grammar.h"
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < grammar::LG < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < grammar::Grammar, grammar::LG < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, grammar::LG < > > ( );

static auto xmlReader = registration::XmlReaderRegister < grammar::Grammar, grammar::LG < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, grammar::LG < > > ( );

} /* namespace */
