/*
 * Epsilon.cpp
 *
 *  Created on: Jan 30, 2014
 *      Author: Jan Travnicek
 */

#include "Epsilon.h"

#include "String.h"
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < string::Epsilon < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < string::String, string::Epsilon < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, string::Epsilon < > > ( );

static auto xmlReader = registration::XmlReaderRegister < string::String, string::Epsilon < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, string::Epsilon < > > ( );

} /* namespace */
