#ifndef MEASUREMENTS_TEST_H_
#define MEASUREMENTS_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class MeasurementsTest : public CppUnit::TestFixture {
  CPPUNIT_TEST_SUITE ( MeasurementsTest );
  CPPUNIT_TEST ( testConstructMeasurements );
  CPPUNIT_TEST ( testTimeMeasurements );
  CPPUNIT_TEST ( testMemoryMeasurements );
  CPPUNIT_TEST ( testCounterMeasurements );
  CPPUNIT_TEST_SUITE_END ( );

public:
  void setUp ( );
  void tearDown ( );

  void testConstructMeasurements ( );
  void testTimeMeasurements ( );
  void testMemoryMeasurements ( );
  void testCounterMeasurements ( );
};

#endif // MEASUREMENTS_TEST_H_
