/*
 * TreeStringApi.cpp
 *
 * Created on: Oct 12, 2016
 * Author: Jan Travnicek
 */

#include "TreeStringApi.hpp"
#include "tree/TreeFromStringParser.h"
#include "tree/TreeToStringComposer.h"

namespace alib {

tree::Tree stringApi < tree::Tree >::parse ( std::istream & input ) {
	return tree::TreeFromStringParser::parseTree ( input );
}

void stringApi < tree::Tree >::compose ( std::ostream & output, const tree::Tree & data ) {
	return tree::TreeToStringComposer::compose ( output, data );
}

} /* namespace alib */
