/*
 * RegExpIterate.cpp
 *
 *  Created on: 17. 10. 2014
 *	  Author: Jan Travnicek
 */

#include "RegExpIterate.h"
#include <registration/AlgoRegistration.hpp>

namespace regexp {

auto RegExpIterateFormalRegExpFormalRegExp = registration::AbstractRegister < RegExpIterate, regexp::FormalRegExp < >, const regexp::FormalRegExp < > & > ( RegExpIterate::iterate );
auto RegExpIterateUnboundedRegExpUnboundedRegExp = registration::AbstractRegister < RegExpIterate, regexp::UnboundedRegExp < >, const regexp::UnboundedRegExp < > & > ( RegExpIterate::iterate );

} /* namespace regexp */
