/*
 * BoyerMoore.cpp
 *
 *  Created on: 23. 3. 2017
 *      Author: Jan Travnicek
 */

#include "BoyerMoore.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace exact {

auto BoyerMooreLinearStringLinearString = registration::AbstractRegister < BoyerMoore, ext::set < unsigned >, const string::LinearString < > &, const string::LinearString < > & > ( BoyerMoore::match );

} /* namespace exact */

} /* namespace stringology */
