/*
 * BorderArrayNaive.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka, Jan Travnicek
 */

#include "BorderArrayNaive.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

namespace properties {

auto BorderArrayPrefixRankedBarPattern = registration::AbstractRegister < BorderArrayNaive, ext::vector < size_t >, const tree::PrefixRankedBarPattern < > & > ( BorderArrayNaive::ba );
auto BorderArrayPrefixRankedPattern = registration::AbstractRegister < BorderArrayNaive, ext::vector < size_t >, const tree::PrefixRankedPattern < > & > ( BorderArrayNaive::ba );

} /* namespace properties */

} /* namespace tree */
