#ifndef TRIM_TEST_H_
#define TRIM_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class trimTest : public CppUnit::TestFixture {
	CPPUNIT_TEST_SUITE( trimTest );
	CPPUNIT_TEST( testTrimAutomaton );
	CPPUNIT_TEST( testTrimGrammar );
	CPPUNIT_TEST( testTrimDFTA );
	CPPUNIT_TEST_SUITE_END();

public:
	void setUp();
	void tearDown();

	void testTrimAutomaton();
	void testTrimGrammar();
	void testTrimDFTA();
};

#endif	// TRIM_TEST_H_
