/*
 * Substitute.h
 *
 *  Created on: 9. 6. 2015
 *	  Author: Jan Travnicek
 */

#ifndef SUBSTITUTE_H_
#define SUBSTITUTE_H_

#include <core/multipleDispatch.hpp>
#include <grammar/GrammarFeatures.h>
#include <alphabet/Symbol.h>
#include <vector>

namespace grammar {

namespace parsing {

class Substitute { 
public:
	static void substitute ( const grammar::CFG < > & orig, grammar::CFG < > & res, const DefaultSymbolType & origLHS, const ext::vector < DefaultSymbolType > & origRHS, ext::vector < DefaultSymbolType >::const_iterator nonterminal );

};

} /* namespace parsing */

} /* namespace grammar */

#endif /* SUBSTITUTE_H_ */
