/*
 * PairSetSettings.h
 *
 *  Created on: 26. 3. 2014
 *	  Author: Jan Travnicek
 */

#ifndef __PAIR_SET_SETTINGS_H__
#define __PAIR_SET_SETTINGS_H__

#include "SettingsHelper.h"

namespace dataAccess {

class PairSetEnum {
public:
	enum class Settings {
		FIRST, SECOND, __MAX__
	};

	static std::string toString ( PairSetEnum::Settings settings ) {
		switch ( settings ) {
		case PairSetEnum::Settings::FIRST:
			return "first";

		case PairSetEnum::Settings::SECOND:
			return "second";

		case PairSetEnum::Settings::__MAX__:
			throw exception::CommonException ( "Invalid enumeration" );
		}
		throw exception::CommonException ( "Invalid enumeration" );
	}

};

class PairSetSettings : public PairSetEnum, public EnumClassHelper < PairSetEnum > {
};

} /* namespace dataAccess */

#endif /* __PAIR_SET_SETTINGS_H__ */
