#ifndef CLI_TEST_H_
#define CLI_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class CliTest : public CppUnit::TestFixture {
	CPPUNIT_TEST_SUITE ( CliTest );
	CPPUNIT_TEST ( testCreateUnique );
	CPPUNIT_TEST ( testMove );
	CPPUNIT_TEST ( testRvalueReferencePassing );
	CPPUNIT_TEST ( testConstReferencePassing );
	CPPUNIT_TEST ( testReferencePassing );
	CPPUNIT_TEST ( testConstRvalueReferencePassing );
	CPPUNIT_TEST ( testSetConstruction );
	CPPUNIT_TEST_SUITE_END ( );

public:
	void setUp ( );
	void tearDown ( );

	void testCreateUnique ( );
	void testMove ( );
	void testRvalueReferencePassing ( );
	void testConstReferencePassing ( );
	void testReferencePassing ( );
	void testConstRvalueReferencePassing ( );
	void testSetConstruction ( );
};

#endif // CLI_TEST_H_
