/*
 * GlobalData.h
 *
 *  Created on: 9. 2. 2014
 *      Author: Jan Travnicek
 */

#ifndef _GLOBAL_DATAH_
#define _GLOBAL_DATAH_

#include <functional>
#include <istream>
#include <ostream>

namespace common {

class GlobalData {
public:
	static bool verbose;
	static bool measure;
	static bool optimizeXml;

	static int argc;
	static char * * argv;
};

class Streams {
public:
	static std::reference_wrapper < std::istream > in;
	static std::reference_wrapper < std::ostream > out;
	static std::reference_wrapper < std::ostream > err;
	static std::reference_wrapper < std::ostream > log;
	static std::reference_wrapper < std::ostream > measure;
};

} /* common */

#endif /* _GLOBAL_DATAH_ */
