/*
 * InputDrivenNPDA.cpp
 *
 *  Created on: Mar 25, 2013
 *      Author: Jan Travnicek
 */

#include "InputDrivenNPDA.h"
#include "../Automaton.h"
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::InputDrivenNPDA < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::Automaton, automaton::InputDrivenNPDA < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, automaton::InputDrivenNPDA < > > ( );

static auto xmlReader = registration::XmlReaderRegister < automaton::Automaton, automaton::InputDrivenNPDA < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, automaton::InputDrivenNPDA < > > ( );

} /* namespace */
