/*
 * NPDTA.cpp
 *
 *  Created on: 10. 5. 2016
 *      Author: Jakub Doupal
 */

#include "NPDTA.h"
#include "../Automaton.h"
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::NPDTA < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::Automaton, automaton::NPDTA < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, automaton::NPDTA < > > ( );

static auto xmlReader = registration::XmlReaderRegister < automaton::Automaton, automaton::NPDTA < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, automaton::NPDTA < > > ( );

} /* namespace */
