/*
 * OneTapeDTM.cpp
 *
 *  Created on: Apr 24, 2013
 *      Author: Jan Travnicek
 */

#include "OneTapeDTM.h"

#include <automaton/Automaton.h>
#include <object/Object.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace {

static auto valuePrinter = registration::ValuePrinterRegister < automaton::OneTapeDTM < > > ( );

static auto xmlWrite = registration::XmlWriterRegister < automaton::Automaton, automaton::OneTapeDTM < > > ( );
static auto xmlWrite2 = registration::XmlWriterRegister < alib::Object, automaton::OneTapeDTM < > > ( );

static auto xmlReader = registration::XmlReaderRegister < automaton::Automaton, automaton::OneTapeDTM < > > ( );
static auto xmlReaded2 = registration::XmlReaderRegister < alib::Object, automaton::OneTapeDTM < > > ( );

} /* namespace */
