/*
 * typeinfo.hpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#ifndef __TYPEINFO_HPP_
#define __TYPEINFO_HPP_

#include <typeinfo>
#include <typeindex>
#include <string>
#include <cstdio>
#include <cstring>

#include "string.hpp"
#include "typeindex.h"

namespace ext {

template < class T >
std::string to_string ( ) {
	return ext::to_string ( ext::type_index ( typeid ( T ) ) );
}

template<typename T>
bool is_same_type(const char* name) {
	char namespaceId[100];
	char classId[100];
	std::string ret = to_string < T > ( );
	sscanf(ret.c_str(), "%[a-zA-Z]::%[a-zA-Z]", namespaceId, classId);

	if(strcmp(classId, name) == 0) {
		return true;
	} else {
		return false;
	}
}

} /* namespace ext */

#endif /* __TYPEINFO_HPP_ */
