/*
 * LabelFromStringParser.h
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#ifndef LABEL_FROM_STRING_PARSER_H_
#define LABEL_FROM_STRING_PARSER_H_

#include "LabelFromStringLexer.h"
#include "label/LabelFeatures.h"
#include <set>

namespace label {

class LabelFromStringParser {
public:
	static Label parseLabel(std::istream&, const ext::set<FEATURES>&);
	static Label parseLabel(std::istream&);
};

} /* namespace label */

#endif /* LABEL_FROM_STRING_PARSER_H_ */
